IncrementalHnswGraphMerger.GraphReader (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.util.hnsw, class: IncrementalHnswGraphMerger, record: GraphReader

Package org.apache.lucene.util.hnsw

# Record Class IncrementalHnswGraphMerger.GraphReader

java.lang.Object
java.lang.Record
org.apache.lucene.util.hnsw.IncrementalHnswGraphMerger.GraphReader

Enclosing class:
  `IncrementalHnswGraphMerger`

protected static record IncrementalHnswGraphMerger.GraphReader(KnnVectorsReader reader, MergeState.DocMap initDocMap, int graphSize) extends Record
Represents a vector reader that contains graph info.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GraphReader(KnnVectorsReader reader, MergeState.DocMap initDocMap, int graphSize)`
  Creates an instance of a `GraphReader` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `graphSize()`
  Returns the value of the `graphSize` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `MergeState.DocMap`
  `initDocMap()`
  Returns the value of the `initDocMap` record component.
  `KnnVectorsReader`
  `reader()`
  Returns the value of the `reader` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphReader

    protected GraphReader(KnnVectorsReader reader, MergeState.DocMap initDocMap, int graphSize)
    Creates an instance of a `GraphReader` record class.
    Parameters:
      `reader` - the value for the `reader` record component
      `initDocMap` - the value for the `initDocMap` record component
      `graphSize` - the value for the `graphSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### reader

    public KnnVectorsReader reader()
    Returns the value of the `reader` record component.
    Returns:
      the value of the `reader` record component

  - ### initDocMap

    public MergeState.DocMap initDocMap()
    Returns the value of the `initDocMap` record component.
    Returns:
      the value of the `initDocMap` record component

  - ### graphSize

    public int graphSize()
    Returns the value of the `graphSize` record component.
    Returns:
      the value of the `graphSize` record component